The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Релиз проприетарного драйвера AMD Catalyst 14.04"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Релиз проприетарного драйвера AMD Catalyst 14.04"  +/
Сообщение от opennews (ok) on 26-Апр-14, 20:04 
Компания AMD опубликовала (http://support.amd.com/en-us/download/desktop?os=Linux+x86) стабильный релиз проприетарного драйвера AMD Catalyst 14.4 (117 Мб (http://support.amd.com/en-us/download/desktop?os=Linux+x86)). В новом выпуске обеспечена (http://support.amd.com/en-us/kb-articles/Pages/AMDCatalyst14...) полная поддержка OpenGL 4.4 и сопутствующих OpenGL-расширений. Добавлена возможность работы на видеокартах AMD Radeon R9 295X. Реализована совместимость с обновлёнными компонентами графического стека Ubuntu 12.04.4 (http://www.opennet.ru/opennews/art.shtml?num=39034). Исправлены ошибки, в том числе утечка памяти, зависание при запуске Sanctuary BM с включенным Tear Free Desktop, проблемы с созданием контекста EGL для glesx,  зависание GPU в режиме  CrossFire, чёрный экран при запуске игр из режиме Big Picture в Steam.

Из официально поддерживаемых дистрибутивов отмечены Red Hat Enterprise Linux 6.3/6.4, SUSE Linux Enterprise 11 SP3, openSUSE 11.4/12.1 и Ubuntu 12.04.2, 12.04.4 и 13.04. Поддержка X-server пока ограничена выпуском 1.14, а ядра Linux - 3.11.

URL: http://support.amd.com/en-us/download/desktop?os=Linux+x86
Новость: http://www.opennet.ru/opennews/art.shtml?num=39649

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +/
Сообщение от Sluggard (ok) on 26-Апр-14, 20:04 
Вечно у них древние иксы и ядра заявляются, как поддерживаемые.
Хотя в прошлой catalyst-новости, про RC, писали, что на ядро 3.15 успешно встаёт блоб.
Вот и пойми...
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +1 +/
Сообщение от Beta Version (ok) on 26-Апр-14, 20:06 
Это называется "официальная поддержка".
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +/
Сообщение от Sluggard (ok) on 26-Апр-14, 20:20 
Она какая-то уж очень древняя у них.
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

4. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +/
Сообщение от grem on 26-Апр-14, 20:24 
Странно, что в Release Notes к 14.4_beta упоминались "Xorg/Xserver 7.4 and above (up to 1.15)
Linux kernel 2.6 or above (up to 3.13)". Но обычно и на чуть более новых версиях чем указано работает.
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

5. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +1 +/
Сообщение от Аноним (??) on 26-Апр-14, 22:44 
А вообще почему так происходит? В ядре постоянно меняется интерфейс взаимодейтсвия с драйвером? Или его впронципе нет и всё каким-то образом хукается?
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

10. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +/
Сообщение от kravich (ok) on 27-Апр-14, 02:49 
>В ядре постоянно меняется интерфейс взаимодейтсвия с драйвером

This. Из-за этого имеем проблемы с проприетарными драйверами, но не имеем некоторых других проблем. Подробнее: http://lxr.linux.no/#linux+v3.14.1/Documentation/stable_api_...

Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

6. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +/
Сообщение от Nuzhny on 26-Апр-14, 22:54 
Релизные драйвера поддерживают старое, беты и релиз-кандидаты - более новое.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

20. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +1 +/
Сообщение от vovans (ok) on 28-Апр-14, 17:44 
разные драйверЫ
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

14. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +/
Сообщение от Аноним (??) on 27-Апр-14, 12:30 
между обеспечена работа и осуществлена поддержка есть определённая разница
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

7. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +/
Сообщение от Игорь email(??) on 27-Апр-14, 00:22 
А где Underscan и Overscan?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

8. "Релиз проприетарного драйвера AMD Catalyst 14.04"  –3 +/
Сообщение от iZEN (ok) on 27-Апр-14, 00:46 
% pkg info -x xorg
xorg-drivers-7.7
xorg-fonts-100dpi-7.7
xorg-fonts-75dpi-7.7
xorg-fonts-miscbitmaps-7.7
xorg-fonts-truetype-7.7_1
xorg-fonts-type1-7.7
xorg-minimal-7.5.2
xorg-server-1.7.7_13,1

Эх, не встанет — недостаточно стар. :))

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

11. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +1 +/
Сообщение от Аноним (??) on 27-Апр-14, 04:50 
Во фряшных портах и гцц всегда свежее, чем даже в генте. А разгадка проста.
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

9. "Релиз проприетарного драйвера AMD Catalyst 14.04"  –2 +/
Сообщение от Аноним (??) on 27-Апр-14, 01:08 
А как дела с hd7770 обстоят, производительность увеличили?
Последний раз свободный драйвер бегал шустрее, чем проприетарный...
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

12. "Релиз проприетарного драйвера AMD Catalyst 14.04"  –2 +/
Сообщение от pavlinux (ok) on 27-Апр-14, 04:55 
> Последний раз свободный драйвер бегал шустрее, чем проприетарный...

Если у вас свободные драйвера  работают шустрее проприетарных, значит вы не включили компьютер.

Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

13. "Релиз проприетарного драйвера AMD Catalyst 14.04"  –2 +/
Сообщение от Аноним (??) on 27-Апр-14, 08:54 
Да. А еще он давно поддерживает OpenGL 4.5, а проприетарном только сейчас 4.4 добавили.
Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

15. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +/
Сообщение от pavlinux (ok) on 27-Апр-14, 14:15 
>  OpenGL 4.5

1. Это не просто жирный троллинг, это жир с говном помазанный солидолом.
Последняя спецификация 4.4, OpneGL 4.5 в природе нет.
---
OpenGL 4.4 API Specification (updated March 19, 2014)
http://www.opengl.org/registry/


2. В открытом говнодривере - только софтварная поддержка, поэтому оно работает как слайдшоу.
Аппаратно там OpenGL 2.3

Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

16. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +5 +/
Сообщение от Аноним (??) on 27-Апр-14, 18:19 
> В открытом дривере - только софтварная поддержка, поэтому оно работает как слайдшоу. Аппаратно там OpenGL 2.3

OpenGL 2.3 в природе нет.

Вот твоё GTS 250 c "хардварным" блобом в unigine tropics: 65.5 fps
http://toc.hashed.ru/files/1e2a.Unigine%20Tropics%...

Вот "софтварный" рендеринг radeonsi: 91.1 fps
http://i.imgur.com/vBrpVjG.png

Давай, расскажи еще что-нибудь про софтварный рендеринг и слайдшоу.

Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

17. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +/
Сообщение от commiethebeastie (ok) on 27-Апр-14, 18:41 
>В открытом говнодривере - только софтварная поддержка, поэтому оно работает как слайдшоу.
>Аппаратно там OpenGL 2.3

Получи значок.

Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

18. "Релиз проприетарного драйвера AMD Catalyst 14.04"  +1 +/
Сообщение от maxis11 (ok) on 28-Апр-14, 05:32 
> OpenGL 4.5
> OpenGL 2.3

Ну просто диванные аналитики собрались
http://ru.wikipedia.org/wiki/OpenGL

> В открытом говнодривере - только софтварная поддержка, поэтому оно работает как слайдшоу.

софтварная поддержка (или драйвер swrast) поддерживает OpenGL 2.1.
По остальным драйверам:
http://cgit.freedesktop.org/mesa/mesa/tree/docs/GL3.txt

P.S: Версия OpenGL не влияет на производительность одного и того же приложения, а расширяет функционал для разработчика.

Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

19. "Релиз проприетарного драйвера AMD Catalyst 14.4"  +/
Сообщение от Аноним (??) on 28-Апр-14, 14:09 
Перешел по ссылке, читаю:
"Linux Distributions Supported:
The AMD Catalyst™ 14.4 Release Candidate Driver for Linux is designed to support the following Linux distributions:
        Red Hat Enterprise Linux Suite 6.4 and 6.5
        SUSE® Linux Enterprise 11 SP3
        openSUSE 13.1
        Ubuntu 12.04.3, 12.04.4 and 13.10

System Requirements:
Before attempting to install the AMD Catalyst™ Linux graphics driver, the following software must be installed:
        Xorg/Xserver 7.4 and above (up to 1.15)
        Linux kernel 2.6 or above (up to 3.13)
        glibc version 2.2 or 2.3
        POSIX Shared Memory (/dev/shm) support is required for 3D applications
"

Как-то не коррелирует с:
"Из официально поддерживаемых дистрибутивов отмечены Red Hat Enterprise Linux 6.3/6.4, SUSE Linux Enterprise 11 SP3, openSUSE 11.4/12.1 и Ubuntu 12.04.2, 12.04.4 и 13.04. Поддержка X-server пока ограничена выпуском 1.14, а ядра Linux - 3.11."

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

21. "Релиз проприетарного драйвера AMD Catalyst 14.4"  +/
Сообщение от Аноним (??) on 28-Апр-14, 18:56 
> The AMD Catalyst™ 14.4 Release Candidate Driver for Linux is designed to

....
         Xorg/Xserver 7.4 and above
> (up to 1.15)
>         Linux kernel 2.6 or
> above (up to 3.13)
> Как-то не коррелирует с:
> и 13.04. Поддержка X-server пока ограничена выпуском 1.14, а ядра Linux  - 3.11."

Где вы это нашли и почему у вас не релиз, а кандидат в релизы ("AMD Catalyst 14.4 Release Candidate") ? В примечании к релизу написано

http://support.amd.com/en-us/kb-articles/Pages/AMDCatalyst14...

Xorg/Xserver 7.4 and above (up to 1.14)
Linux kernel 2.6 or above (up to 3.11)

Ответить | Правка | ^ к родителю #19 | Наверх | Cообщить модератору

22. "Релиз проприетарного драйвера AMD Catalyst 14.4"  +/
Сообщение от Led (ok) on 29-Апр-14, 01:07 
>[оверквотинг удален]
>>         Linux kernel 2.6 or
>> above (up to 3.13)
>> Как-то не коррелирует с:
>> и 13.04. Поддержка X-server пока ограничена выпуском 1.14, а ядра Linux  - 3.11."
> Где вы это нашли и почему у вас не релиз, а кандидат
> в релизы ("AMD Catalyst 14.4 Release Candidate") ? В примечании к
> релизу написано
> http://support.amd.com/en-us/kb-articles/Pages/AMDCatalyst14...
> Xorg/Xserver 7.4 and above (up to 1.14)
> Linux kernel 2.6 or above (up to 3.11)

На заборе тоже написано. А на самом деле: fglrx.ko отличается только датой (на 3.13 собираются без варнингов), библиотеки хоть и отличаются, но с Xorg 1.15.1 отлично работает.

Ответить | Правка | ^ к родителю #21 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру